Bug 858534 - RHEV Spice client intermittently fails to connect to VM
RHEV Spice client intermittently fails to connect to VM
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-client (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Uri Lublin
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 23:54 EDT by Timothy Walsh
Modified: 2013-03-10 11:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-10 11:54:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Memory Leak (26.13 KB, image/png)
2012-09-18 23:54 EDT, Timothy Walsh
no flags Details

  None (edit)
Description Timothy Walsh 2012-09-18 23:54:31 EDT
Created attachment 614194 [details]
Memory Leak

Description of problem:
There appears to be a bug in Spice that causes memory leak ( 4Mb/sec ). When the spicec process reaches 2G it is terminated causing the error seen in the browser.

Problem appears to be the fact that VM was configured as dual monitor but second monitor was off and "Extend Desktop to this monitor" was not checked.

When it is expanded and second monitor is used the memory leak stops and spice is stable.

Version-Release number of selected component (if applicable):
spicec.exe version 5.0.0.10029


How reproducible:
Always

Steps to Reproduce:
1. Create VM
2. Specify 2 monitors
3. Disable 1 and have desktop only on 1 monitor
  
Actual results:
Spice client memory consumption increase until the point that Windows terminates it.

Expected results:
Spicec should be stable and not leak memory in cases where 2 monitors are defined but only 1 active in VM.


Additional info:
Comment 2 RHEL Product and Program Management 2012-12-14 03:01:23 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.